package com.ruoyi.robot.mapper;

import com.ruoyi.robot.domain.LdRoadmap;
import org.apache.ibatis.annotations.Param;

/**
 * 路网数据Mapper接口
 */
public interface LdRoadmapMapper{

    /**
     * 根据地图名称查询路网数据
     */
    LdRoadmap selectByMapName(@Param("mapName") String mapName);

    int insert(LdRoadmap roadmap);

    int updateById(LdRoadmap roadmap);
}
